package com.yd.dal.mapper.salary;

import com.yd.dal.entity.salary.AgAclSalary;

import java.util.List;

public interface AgAclSalaryMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AgAclSalary record);

    int insertSelective(AgAclSalary record);

    AgAclSalary selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AgAclSalary record);

    int updateByPrimaryKey(AgAclSalary record);

    List<AgAclSalary> queryListByPractitionerId(Long practitionerId);

    List<AgAclSalary> queryByRecord(AgAclSalary record);
}